What are the Slack Archives?

It’s a history of our time together in the Slack Community! There’s a ton of knowledge in here, so feel free to search through the archives for a possible answer to your question.

Because this space is not active, you won’t be able to create a new post or comment here. If you have a question or want to start a discussion about something, head over to our categories and pick one to post in! You can always refer back to a post from Slack Archives if needed; just copy the link to use it as a reference..

Good morning everyone, I updated ElasticSearch according to the related migration guide to version 7

Options
U01660GHSTT
U01660GHSTT Posts: 80 🧑🏻‍🚀 - Cadet

Good morning everyone,
I updated ElasticSearch according to the related migration guide to version 7.10. I get an error when bootstrapping the project:

PHP Fatal error:  Uncaught Twig\Error\LoaderError: Template "service/elastic/7.10.2/elastic.yml.twig" is not defined in "docker-compose.yml.twig" at line 146. in /data/vendor/twig/twig/src/Loader/ChainLoader.php:98
Stack trace:
#0 /data/vendor/twig/twig/src/Environment.php(299): Twig\Loader\ChainLoader->getCacheKey('service/elastic...')
#1 /data/vendor/twig/twig/src/Environment.php(381): Twig\Environment->getTemplateClass('service/elastic...')
#2 /data/vendor/twig/twig/src/Template.php(333): Twig\Environment->loadTemplate('service/elastic...', NULL)
#3 /data/vendor/twig/twig/src/Environment.php(418) : eval()'d code(367): Twig\Template->loadTemplate('service/elastic...', 'docker-compose....', 146)
#4 /data/vendor/twig/twig/src/Template.php(405): __TwigTemplate_35c0c1c7f67b01e3ca72d8db6e31f05a1a0853e01a24f098133b05794511207a->doDisplay(Array, Array)
#5 /data/vendor/twig/twig/src/Template.php(378): Twig\Template->displayWithErrorHandling(Array, Array)
#6 /data/vendor/twig/twig/src/Template.php(390): Twig\Template->display(Array)
 in /data/vendor/twig/twig/src/Loader/ChainLoader.php on line 98

When I change version 7.10.2 in the deploy.yml file to version 7.10 the same error happens but then it complains about service/elastic/7.1/elastic.yml.twig is missing.

Does anyone know how I can solve this? And, why is it looking for .../elastic/7.1/... instead of .../elastic/7.10/...?

Comments